# Building Documentation

This is the documentation that appears on [The tfscript website](https://tfscript.nickhope.world/). 

## Building the Docs

Before you can build the docs, you have to do the _Prerequisites_ below.

1. Run `make html`
2. The docs appear in `docs/build/html`. You can open them in a browser (e.g., on Mac do `open docs/build/html/index.html`)
3. Run `sync.sh` to upload it to the S3 bucket (only works if you have the right profile/permissions in AWS)

## Prerequisites

I recommend building a Python [**venv**](https://docs.python.org/3/library/venv.html).

### Windows

1. Make the virtual environment `python3 -m venv .venv`
2. Activate it: 
- Windows: `.venv\Scripts\activate`
- Other: `source .venv/bin/activate`
3. Install all the requirements into it:
   1. `pip install -r requirements.txt`
   2. `pip3 install -e .`

Now you can run the steps above in the **Building** section.
   
